%define version	2.0.0
%define release	5mdk

%define libgnomemm_version 1.3.10
%define libgnomecanvasmm_version 2.0.0
%define gconfmm_version 2.0.1
%define libglademm_version 2.0.0

%define pkgname libgnomeuimm
%define major 1
%define api_version 2.0
%define name		%{pkgname}%{api_version}
%define libname		%mklibname gnomeuimm %{api_version} %{major}

Summary:	A C++ wrapper for GNOME UI library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		ftp://ftp.gnome.org/pub/gnome/sources/%{pkgname}/%{api_version}/%{pkgname}-%{version}.tar.bz2
# (gb) this patch applies to aclocal.m4, don't bother with aclocal 1.7.6
Patch0:		libgnomeuimm-2.0.0-libtool-fixes.patch.bz2
BuildRequires:	libgnomeui2-devel
BuildRequires:	libgnomemm2.0-devel
BuildRequires:	libgnomecanvasmm2.0-devel >= %{libgnomecanvasmm_version}
BuildRequires:	gconfmm2.0-devel >= %{gconfmm_version}
BuildRequires:	libglademm2.0-devel >= %{libglademm_version}
BuildRequires:	doxygen

%description
This library provides a C++ wrapper for GNOME UI library.
It is a subpackage of the gnomemm project, which provides C++ binding
of various GNOME libraries.


%package	-n %{libname}
Summary:	A C++ wrapper for GNOME UI library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{pkgname} = %{version}-%{release}

%description	-n %{libname}
This library provides a C++ wrapper for GNOME UI library.
It is a subpackage of the gnomemm project, which provides C++ binding
of various GNOME libraries.


%package	-n %{libname}-devel
Summary:	Development files for libgnomeui C++ wrapper
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{pkgname}-devel = %{version}-%{release}
Requires:	libgnomecanvasmm2.0-devel >= %{libgnomecanvasmm_version}
Requires:	gconfmm2.0-devel >= %{gconfmm_version}
Requires:	libglademm2.0-devel >= %{libglademm_version}

%description	-n %{libname}-devel
This package contains all necessary files, including libraries and headers,
that C++ programmers will need to develop applications which use
%{pkgname}, the C++ interface to libgnomeui.

It is necessary when compiling applications which use %{pkgname} as well.


%package	doc
Summary:	Documentation of %{pkgname} library
Group:		Books/Other

%description	doc
This package provides API documentation of %{pkgname} library.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .libtool-fixes
autoconf

%build
%configure2_5x --enable-static
%make

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES$/$1 NO/' Doxyfile
  make all
popd

%install
rm -rf %{buildroot}
%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc COPYING ChangeLog TODO
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{pkgname}-%{api_version}

%files doc
%defattr(-, root, root)
%doc docs/reference/html 

###########################################################################
%changelog
* Fri Oct  1 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.0-5mdk
- maintainer has not merge from 10.0-branch:
  - fix mklibname
  - fix broken built-in libtool 1.5

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-4mdk
- rebuild for new g++

* Thu Apr 29 2004 Abel Cheung <deaddog@deaddog.org> 2.0.0-3mdk
- Rebuild
- Split documentation

* Fri Oct 17 2003 Abel Cheung <deaddog@deaddog.org> 2.0.0-2mdk
- Rebuild against new libgnomemm
- Fix variable naming

* Sat Sep 13 2003 Abel Cheung <deaddog@deaddog.org> 2.0.0-1mdk
- 2.0.0 (API frozen)
- Remove Patch1 (upstream)

* Wed Sep  3 2003 Abel Cheung <deaddog@deaddog.org> 1.3.17-1mdk
- 1.3.17
- Patch0: Fix libtool 1.5 to search for staging libs first
- Patch1 (CVS): Make GnomeUIInfo public, allowing building with gcc 3.3

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 1.3.16-1mdk
- 1.3.16

* Mon Jul  8 2002 Abel Cheung <maddog@linux.org.hk> 1.3.7-1mdk
- 1.3.7 (GNOME 2)
- First Mandrake spec, based on original spec in source

* Tue Mar 20 2001 Eric Bourque <ericb@computer.org>
- added gnome--.m4 to files devel section

* Sat Mar 10 2001 Herbert Valerio Riedel <hvr@gnu.org>
- improved examples.conf
- fixed example build problems

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec
